=begin
TIG (c) 2011
=end
require 'sketchup.rb'
module TIG
def self.equalsegssweep()
  model=Sketchup.active_model
  ents=model.active_entities
  results=inputbox(["Segment Length: ", "Sweep Angle[deg]: ", "Number: "],[1.to_l, 90.0, 3],"Equal Segs Sweep Parameters")
  return nil if not results
  s,a,n=results
  group=ents.add_group
  group.name="EqualSegsSweep"
  gents=group.entities
  model.start_operation('EqualSegsSweep')
  r=(s/2.0)/(Math.sin(a.degrees/2.0/n))
  pc=Geom::Point3d.new(0,r,0)
  gents.add_cpoint(pc)
  t=Geom::Transformation.rotation(pc, Z_AXIS, a.degrees/n)
  p0=ORIGIN.clone
  psl=p0.clone
  psn=p0.clone
  n.times{|i|
    gents.add_cpoint(psn)
    gents.add_cline(pc, psn)
    psl=psn.clone
    psn.transform!(t)
    gents.add_line(psl, psn)
  }
  gents.add_cpoint(psn)
  gents.add_cline(pc, psn)
  model.commit_operation
end
end